import unittest
import sys
for path in ['../', './']:
    sys.path.insert(1, path)



class TestCoverage(unittest.TestCase):
    def test_init_main(self):
        # python -m unittest discover
        from db.entities import Cluster


        from datetime import date, datetime
        import json

        # add modules folder to interpreter path
        import sys
        import os
        modules_path = '../../../modules/'
        if os.path.exists(modules_path):
            sys.path.insert(1, modules_path)

        ### init logging ###
        import logging
        LOG_FORMAT = ('%(levelname) -5s %(asctime)s %(name)s:%(funcName) -35s %(lineno) -5d:  %(message)s')
        logging.basicConfig(level=logging.INFO, format=LOG_FORMAT)
        LOGGER = logging.getLogger(__name__)

        #############################
        import connexion
        from security import swagger_util
        from pathlib import Path
        from env_info import is_running_locally, get_resources_path
        from flask import request
        from flask import redirect
        import main  #error when importing main, ModuleNotFoundError: No module named 'security'
        #exec(open('main.py').read())

    def test_init_run_clustering(self):

        import sys
        import os
        modules_path = '../../../modules/'
        if os.path.exists(modules_path):
            sys.path.insert(1, modules_path)

        import json
        from db.entities import Layer, Cluster
        from typing import List, Dict, Tuple, Any
        from db.repository import Repository
        from processing.clustering import Clusterer, ClusterResult

        import run_clustering

    def test_init_run_node(self):
        import sys
        import os
        modules_path = '../../../modules/'
        if os.path.exists(modules_path):
            sys.path.insert(1, modules_path)

        import json
        import urllib3
        urllib3.disable_warnings(urllib3.exceptions.InsecureRequestWarning)

        import processing.fetching.fetching as f
        import run_node_fetching

    def test_init_run_similarity(self):
        import processing.similarityFiles.similarityMain as SimilarityCalc
        from db.repository import Repository

        import run_similarity_calc

    def test_init_run_time(self):
        import sys
        import os
        modules_path = '../../../modules/'
        if os.path.exists(modules_path):
            sys.path.insert(1, modules_path)

        import json
        from datetime import datetime, date
        from db.repository import Repository
        from db.entities import ClusterSet, Cluster, Layer, TimeSlice
        from typing import Tuple, Dict, Any, List

        import run_time_slicing


if __name__ == '__main__':
    unittest.main()
