import unittest
import sys
for path in ['../', './']:
    sys.path.insert(1, path)


class TestCoverage(unittest.TestCase):
    def test_init_main(self):
        # python -m unittest discover
        # add modules folder to interpreter path
        import sys
        import os
        import prance
        from pathlib import Path

        modules_path = '../../../modules/'
        if os.path.exists(modules_path):
            sys.path.insert(1, modules_path)

        # init logging to file
        import logging
        LOG_FORMAT = ('%(levelname) -5s %(asctime)s %(name)s:%(funcName) -35s %(lineno) -5d:  %(message)s')
        logging.basicConfig(level=logging.INFO, format=LOG_FORMAT)
        LOGGER = logging.getLogger(__name__)

        #############################
        import connexion
        from security import swagger_util
        from env_info import is_running_locally, get_resources_path

        from database.repository import Repository
        from messaging.MessageHandler import MessageHandler
        from messaging.ReconnectingMessageManager import ReconnectingMessageManager
        from messaging.rest_fetcher import RestFetcher
        from flask import request
        from flask import redirect
        import main

    def test_database(self):
        # global imports (dont't worry, red is normal)
        from typing import List, Dict
        import network_constants as netconst
        from database.MongoRepositoryBase import MongoRepositoryBase
        from database.entities.transaction import Transaction

        import pymongo
        import json
        import time

        from database import repository

    def test_messaging(self):

        from security.token_manager import TokenManager
        import network_constants
        from database.entities.transaction import Transaction
        from database.repository import Repository
        from messaging.rest_fetcher import RestFetcher

        import json
        import hashlib
        import logging
        import requests

        from typing import Dict
        from typing import List

        from messaging import MessageHandler
        from messaging import rest_fetcher

    def test_routes(self):
        #global imports
        from database.entities.transaction import Transaction
        from database.repository import Repository

        import json
        from flask import Response, request


        from routes import transactions

    

if __name__ == '__main__':
    unittest.main()
